Bug 1376450 - Review Request: libdvbpsi - Library for MPEG TS and DVB PSI tables decoding and generation
Summary: Review Request: libdvbpsi - Library for MPEG TS and DVB PSI tables decoding a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-15 12:58 UTC by Nicolas Chauvet (kwizart)
Modified: 2017-01-03 17:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-09 02:49:15 UTC
Type: ---
puntogil: fedora-review+


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2016-09-15 12:58:18 UTC
Spec URL: https://pkgs.rpmfusion.org/cgit/free/libdvbpsi.git/tree/libdvbpsi.spec
SRPM URL: http://download1.rpmfusion.org/free/fedora/development/rawhide/Everything/source/SRPMS/l/libdvbpsi-1.3.0-1.fc24.src.rpm
Description: Library for MPEG TS and DVB PSI tables decoding and generation
Fedora Account System Username: kwizart

This package is provided in a 3rd part repository, but I believe it should be in fedora instead. (provided that it pass FE-Legal).

Comment 1 Tom "spot" Callaway 2016-09-21 17:57:01 UTC
Yeah. I think this is okay to go into Fedora now. Lifting FE-Legal.

Comment 2 gil cattaneo 2016-09-21 18:06:21 UTC
fedora-review fails:
Error 404 downloading http://download1.rpmfusion.org/free/fedora/development/rawhide/Everything/source/SRPMS/l/libdvbpsi-1.3.0-1.fc24.src.rpm

Please, adapt spec file to current guideline

Comment 5 gil cattaneo 2016-09-21 18:25:44 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
 IGNORE
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file structdvbpsi__copyright__dr__s.html is not marked as
  %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
 IGNORE
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 5826560 bytes in 680 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
 Please, add subpackage doc

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v2 or later) (with incorrect FSF
     address)", "GPL (v2 or later)", "Unknown or generated", "WTFPL WTFPL
     (v2)", "MIT/X11 (BSD like)", "LGPL (v2.1 or later)". 18 files have
     unknown license. Detailed output of licensecheck in
     /home/gil/1376450-libdvbpsi/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
 Is not necessary for genrate the documentation?
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libdvbpsi-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 6123520 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libdvbpsi-1.3.0-2.fc26.i686.rpm
          libdvbpsi-devel-1.3.0-2.fc26.i686.rpm
          libdvbpsi-debuginfo-1.3.0-2.fc26.i686.rpm
          libdvbpsi-1.3.0-2.fc26.src.rpm
libdvbpsi.src:1: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 1)
4 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libdvbpsi-debuginfo-1.3.0-2.fc26.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
3 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
libdvbpsi-debuginfo (rpmlib, GLIBC filtered):

libdvbpsi-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libdvbpsi(x86-32)
    libdvbpsi.so.10

libdvbpsi (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    rtld(GNU_HASH)



Provides
--------
libdvbpsi-debuginfo:
    libdvbpsi-debuginfo
    libdvbpsi-debuginfo(x86-32)

libdvbpsi-devel:
    libdvbpsi-devel
    libdvbpsi-devel(x86-32)
    pkgconfig(libdvbpsi)

libdvbpsi:
    libdvbpsi
    libdvbpsi(x86-32)
    libdvbpsi.so.10



Source checksums
----------------
http://download.videolan.org/pub/libdvbpsi/1.3.0/libdvbpsi-1.3.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : a2fed1d11980662f919bbd1f29e2462719e0f6227e1a531310bd5a706db0a1fe
  CHECKSUM(SHA256) upstream package : a2fed1d11980662f919bbd1f29e2462719e0f6227e1a531310bd5a706db0a1fe


AutoTools: Obsoleted m4s found
------------------------------
  AM_PROG_LIBTOOL found in: libdvbpsi-1.3.0/configure.ac:20


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1376450 --plugins C/C++ -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 gil cattaneo 2016-09-21 18:30:09 UTC
Issues:
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 5826560 bytes in 680 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
 Please, add subpackage doc

NON blocking issues:
[!]: Uses parallel make %{?_smp_mflags} macro.
 Is not necessary for genrate the documentation?

libdvbpsi.src:1: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 1)

"Group:" fields are no more necessary. Please remove

Comment 7 Nicolas Chauvet (kwizart) 2016-09-26 10:17:58 UTC
SRPM: http://dl.kwizart.net/review/libdvbpsi-1.3.0-3.fc26.src.rpm
SPEC: http://dl.kwizart.net/review/libdvbpsi.spec
Description: Library for MPEG TS and DVB PSI tables decoding and generation

Thx for the review.
Updated changelog:
- Add doc sub-package
- clean mixed tab and space
- add %%{?_smp_mflags} for doc

koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=15807279

Comment 8 gil cattaneo 2016-09-26 10:52:09 UTC
Approved

Comment 9 Gwyn Ciesla 2016-09-26 14:52:11 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/libdvbpsi

Comment 10 Fedora Update System 2016-09-27 20:22:21 UTC
libdvbpsi-1.3.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-96f2e83017

Comment 11 Fedora Update System 2016-09-28 05:58:01 UTC
libdvbpsi-1.3.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-400fe22406

Comment 12 Fedora Update System 2016-09-28 06:26:04 UTC
libdvbpsi-1.3.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b6da558152

Comment 13 Fedora Update System 2016-09-28 15:17:24 UTC
libdvbpsi-1.2.0-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b28902f027

Comment 14 Fedora Update System 2016-09-28 16:19:00 UTC
libdvbpsi-1.3.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8e6fb2c213

Comment 15 Fedora Update System 2016-10-09 02:49:15 UTC
libdvbpsi-1.3.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-10-09 06:21:44 UTC
libdvbpsi-1.3.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-01-03 17:49:05 UTC
libdvbpsi-1.2.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-01-03 17:51:30 UTC
libdvbpsi-1.3.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.